This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 878245 - Review Request: perl-Lingua-EN-Numbers - Turn "407" into "four hundred and seven", etc
Review Request: perl-Lingua-EN-Numbers - Turn "407" into "four hundred and se...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 878247
  Show dependency treegraph
 
Reported: 2012-11-19 17:49 EST by Miro Hrončok
Modified: 2012-12-06 22:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:38:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-11-19 17:49:05 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Lingua-EN-Numbers.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Lingua-EN-Numbers-1.04-2.fc17.src.rpm

Description:

Lingua::EN::Numbers turns numbers into English text. It exports (upon
request) two functions, num2en and num2en_ordinal. Each takes a scalar
value and returns a scalar value. The return value is the English text
expressing that number; or if what you provided wasn't a number, then they
return undefined.

Fedora Account System Username: churchyard
Comment 1 Michael Scherer 2012-11-23 12:05:25 EST
There is no license found in the tarball, nor any indication this is under GPL v2, could you clarify that with upstream ?
Comment 2 Michael Scherer 2012-11-23 12:11:56 EST
Another issue is that you have added %defattr, while this is not needed, and we try to have clean spec right from the start, could you just remove it ?


Once theses 2 issues ( licensing, %defattr ) are fixed I will approve the package.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== Issues =====
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

[!]: License field in the package spec file matches the actual license.

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

- useless usage of %defattr

===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/878245-perl-Lingua-
     EN-Numbers/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Lingua-EN-Numbers-1.04.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-Lingua-EN-Numbers-1.04-2.fc17.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Lingua-EN-Numbers
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Lingua-EN-Numbers (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.14.3)
    perl(Exporter)
    perl(strict)
    perl(vars)



Provides
--------
perl-Lingua-EN-Numbers:
    perl(Lingua::EN::Numbers)
    perl-Lingua-EN-Numbers



MD5-sum check
-------------
http://www.cpan.org/authors/id/N/NE/NEILB/Lingua-EN-Numbers-1.04.tar.gz :
  CHECKSUM(SHA256) this package     : b253408bf95dbcbd8600d519842259ad35f6700ed4d6f6d152f397349721ddad
  CHECKSUM(SHA256) upstream package : b253408bf95dbcbd8600d519842259ad35f6700ed4d6f6d152f397349721ddad


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-17-x86_64
Command line :./try-fedora-review -b 878245
Comment 3 Miro Hrončok 2012-11-23 15:54:55 EST
Thanks for the review,

%defattr somehow passed my review after cpanspec generated the file, I'll drop it.

Lingua-EN-Numbers-1.04/lib/Lingua/EN/Numbers.pm, lines 339, 341:

This library is free software; you can redistribute it and/or modify
it only under the terms of version 2 of the GNU General Public License
(L<perlgpl>).

Also present here (it seems to be generated from that file):

http://search.cpan.org/dist/Lingua-EN-Numbers/lib/Lingua/EN/Numbers.pm#COPYRIGHT
Comment 4 Michael Scherer 2012-11-23 17:08:14 EST
Ok, O I guess that you should just need to upstream to ship the license ( IIRC, that's a GPL requirement ), but that's not blocking. So the package is approved.
Comment 5 Miro Hrončok 2012-11-23 17:32:49 EST
I'll do that. Yes, it is a GPL requirement.
Comment 6 Ralf Corsepius 2012-11-24 01:46:12 EST
(In reply to comment #4)
> Ok, O I guess that you should just need to upstream to ship the license (
> IIRC, that's a GPL requirement )

It is not. GPLv2 says, it's a "should":

"You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software ..."

That said, not shipping the GPL is pretty common in perl-dists, because perl-dist authors often take knowing the GPL for granted. It's nothing I would bother upstreams with, but this is just my personal preference.


More important than this, is this:
..
=head1 LEGACY INTERFACE

B<Note:> this legacy interface is now deprecated, and will be dropped
in a future release. Please let me (Neil) know if you're using this
interface, and I'll do something to continue supporting you.
...

I.e. if there shouldn't be any other _actively maintained_ package (not one from a computer museum), I'd recommend Fedora not to ship this perl-dist.
Comment 7 Miro Hrončok 2012-11-24 08:07:26 EST
(In reply to comment #6)
> It is not. GPLv2 says, it's a "should":
> 
> "You should have received a copy of the GNU General Public License
>     along with this program; if not, write to the Free Software ..."
> 
> That said, not shipping the GPL is pretty common in perl-dists, because
> perl-dist authors often take knowing the GPL for granted. It's nothing I
> would bother upstreams with, but this is just my personal preference.
Thanks for sorting that out.

> More important than this, is this:
> ..
> =head1 LEGACY INTERFACE
> 
> B<Note:> this legacy interface is now deprecated, and will be dropped
> in a future release. Please let me (Neil) know if you're using this
> interface, and I'll do something to continue supporting you.
> ...
> 
> I.e. if there shouldn't be any other _actively maintained_ package (not one
> from a computer museum), I'd recommend Fedora not to ship this perl-dist.
Well, I packaged this as a dependency of Slic3r. And I really want that in Fedora.
Comment 8 Miro Hrončok 2012-11-24 10:07:21 EST
New Package SCM Request
=======================
Package Name: perl-Lingua-EN-Numbers
Short Description: Turn "407" into "four hundred and seven", etc
Owners: churchyard
Branches: f17 f18
Comment 9 Jon Ciesla 2012-11-24 13:23:06 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-11-24 18:12:37 EST
perl-Lingua-EN-Numbers-1.04-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Lingua-EN-Numbers-1.04-2.fc17
Comment 11 Fedora Update System 2012-11-24 18:15:15 EST
perl-Lingua-EN-Numbers-1.04-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Lingua-EN-Numbers-1.04-2.fc18
Comment 12 Fedora Update System 2012-11-25 14:30:43 EST
perl-Lingua-EN-Numbers-1.04-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-11-29 01:38:23 EST
perl-Lingua-EN-Numbers-1.04-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2012-12-06 22:28:01 EST
perl-Lingua-EN-Numbers-1.04-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.